---
updatedAt: 2026-05-13T02:52:01.000Z
---

# Third-party fulfillment center association

# Overview

The [Third-party fulfillment center association](https://developer.walmart.com/us-marketplace/reference/associate3pfulfillmentcenter) API allows sellers to activate or update the status of 3PL (third-party logistics) ship nodes associated with their Marketplace account.

***

# Endpoint

```Text bash
POST https://marketplace.walmartapis.com/v3/settings/shipping/3plshipnodes
```

***

# Function

This API helps you:

* Associate a third-party logistics (3PL) fulfillment center to your account
* Activate or deactivate an existing 3PL ship node
* Manage the operational availability of third-party warehouses
* Control whether a specific 3PL node can be used for shipping

***

# Sample request

```curl
curl --request POST \
     --url https://marketplace.walmartapis.com/v3/settings/shipping/3plshipnodes \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "shipNodeHeader": {
    "version": "1.2"
  },
  "shipNode": [
    {
      "shipNode": "99351656957153281",
      "status": "ACTIVE"
    }
  ]
}
'
```
```python
import requests

url = "https://marketplace.walmartapis.com/v3/settings/shipping/3plshipnodes"

payload = {
    "shipNodeHeader": {
        "version": "1.2"
    },
    "shipNode": [
        {
            "shipNode": "99351656957153281",
            "status": "ACTIVE"
        }
    ]
}

headers = {
    "accept": "application/json",
    "content-type": "application/json",
    "Authorization": "Bearer <ACCESS_TOKEN>",
}

response = requests.post(url, json=payload, headers=headers)

print(response.status_code)
print(response.headers)
print(response.text)
```

***

# Modify your code

To receive a valid response, update your request with valid authentication and request values.

## Add authentication headers

Include a valid OAuth access token.

```bash
--header 'Authorization: Bearer <ACCESS_TOKEN>'
```

If your integration requires additional headers, include them as needed, such as consumer ID, correlation ID, or service name.

## Replace the ship node ID

Make sure `shipNode` contains a valid 3PL fulfillment center ID associated with your seller account.

Example:

```json
{
  "shipNode": "99351656957153281"
}
```

## Validate the status value

Use a supported status value for the node.

Possible values include:

* `ACTIVE`
* `INACTIVE`

***

# Sample response

The following example shows a `200 OK` response.

```json
[
  {
    "shipNode": "string",
    "status": "string"
  }
]
```

***

# Result

* A successful `200 OK` response confirms that the 3PL ship node association was updated.
* The response returns the `shipNode` and its updated `status`.
* The fulfillment center is now configured as `ACTIVE` or `INACTIVE` based on your request.
* If activated, the 3PL node becomes available for shipping operations.
* If deactivated, the node is not used for fulfillment.

***

# Next steps

The **Get shipping template details** API gives you specific shipping configurations for a single shipping template.

* [Get shipping template details Guide](https://developer.walmart.com/us-marketplace/docs/get-shipping-template-details)
* [Get shipping template details API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getshippingtemplatedetails)

The **Update shipping templates** API lets you modify configurations on an existing shipping template, such as shipping methods, regions, transit times, and pricing rules.

* [Update shipping templates Guide](https://developer.walmart.com/us-marketplace/docs/update-shipping-templates)
* [Update shipping templates API Reference Guide](https://developer.walmart.com/us-marketplace/reference/updateshippingtemplates)

The **Delete shipping templates&#x20;**&#x41;PI lets you permanently remove existing shipping templates from Walmart Marketplace settings.

* [Delete shipping template Guide](https://developer.walmart.com/us-marketplace/docs/delete-shipping-templates)
* [Delete shipping template API Reference Guide](https://developer.walmart.com/us-marketplace/reference/deleteshippingtemplatedetails)

The **Get all fulfillment centers&#x20;**&#x41;PI retrieves fulfillment centers (also known as ship nodes) information on your account.

* [Get all fulfillment centers Guide](https://developer.walmart.com/us-marketplace/docs/get-all-fulfillment-centers)
* [Get all fulfillment centers API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getallfulfillmentcenters)

The **Update fulfillment center** API helps you update your existing fulfillment centers (also known as a ship nodes) configuration in Marketplace Settings.

* [Update fulfillment centers Guide](https://developer.walmart.com/us-marketplace/docs/update-fulfillment-centers)
* [Update fulfillment centers API Reference Guide](https://developer.walmart.com/us-marketplace/reference//updatefulfillmentcenter)

The **Create fulfillment center** API sets up new fulfillment centers (also known as ship nodes) in Walmart Marketplace Settings.

* [Create fulfillment center Guide](https://developer.walmart.com/us-marketplace/docs/create-account-level-settings)
* [Create fulfillment center API Reference Guide](https://developer.walmart.com/us-marketplace/reference/createfulfillmentcenter)

The **Get account level settings** API retrieves account-level shipping settings such as calendar day configurations, weekends, and additional days off.

* [Get account level settings Guide](<- \[Create account level settings Guide](https://developer.walmart.com/us-marketplace/docs/create-account-level-settings)  - \<Anchor target="_blank" href="https://developer.walmart.com/us-marketplace/reference/createaccountlevelsettings"\>Create account level settings API Reference Guide\</Anchor\>>)
* [Get account level settings API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getaccountlevelsettings)

The **Update account level settings** API allows you to configure account-level calendar settings that impact shipping calculations and delivery promise logic.

* [Update account level settings Guide](https://developer.walmart.com/us-marketplace/docs/get-account-level-settings-1)
* [Update account level settings API Reference Guide](https://developer.walmart.com/us-marketplace/reference/updateaccountlevelsettings)

The **Create account level settings** API lets you establish account level calendar configuration for your shipping operations.

* [Create account level settings Guide](https://developer.walmart.com/us-marketplace/docs/get-all-shipping-templates)
* <Anchor target="_blank" href="https://developer.walmart.com/us-marketplace/reference/createaccountlevelsettings">Create account level settings API Reference Guide</Anchor>

The **Get all shipping templates&#x20;**&#x41;PI retrieves a list of all shipping templates configured on your account.

* [Get all shipping templates Guide](<\[Get all shipping templates Guide](https://developer.walmart.com/us-marketplace/docs/get-all-shipping-templates)>)
* [Get all shipping templates API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getallshippingtemplates)

The **Create shipping templates** API allows sellers to create custom shipping templates that define shipping methods, transit times, pricing logic, and geographic coverage.

* [Create shipping templates Guide](https://developer.walmart.com/us-marketplace/docs/create-shipping-templates)
* [Create shipping templates API Reference Guide](https://developer.walmart.com/us-marketplace/reference/createshippingtemplates)

The **Get shipping configurations&#x20;**&#x41;PI retrieves account-level shipping profile settings associated on your account.

* [Get shipping configurations Guide](https://developer.walmart.com/us-marketplace/docs/get-shipping-configurations-1)
* [Get shipping configurations API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getshippingconfigurations)

The **Get shipping template activation status** API allows sellers to retrieve the current activation state of shipping templates at the account level.

* [Get shipping template activation status Guide](https://developer.walmart.com/us-marketplace/docs/get-shipping-template-activation-status)
* [Get shipping template activation API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getshippingtemplateactivationstatus)

The **Get coverage for fulfillment centers** API retrieves the geographic coverage areas associated with each fulfillment center (ship node) configured under a seller account.

* [Get coverage for fulfillment centers Guide](https://developer.walmart.com/us-marketplace/docs/get-coverage-for-fulfillment-centers)
* [Get coverage for fulfillment centers API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getcoverageforfulfillmentcenters)

The **Get carrier methods** API retrieves the list of carrier methods available for use in Marketplace shipping configurations

* [Get carrier methods Guide](https://developer.walmart.com/us-marketplace/docs/get-carrier-methods)
* [Get carrier methods API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getcarriermethods)

The **Get all third-party fulfillment providers** API retrieves all third-party fulfillment providers (3PLs) available on the Walmart marketplace.

* [Get all third-party fulfillment providers Guide](https://developer.walmart.com/us-marketplace/docs/get-all-third-party-fulfillment-providers)
* [Get all third-party fulfillment providers API Reference Guide](https://developer.walmart.com/us-marketplace/reference/get3pfulfillmentproviders)

The **Get partner configurations** API retrieves seller-level profile information and system configuration settings associated with a Marketplace partner account.

* [Get partner configurations Guide](https://developer.walmart.com/us-marketplace/docs/get-partner-configurations-1)
* [Get partner configurations API Reference Guide](https://developer.walmart.com/us-marketplace/reference/getpartnerconfigurations)

<br />